Package com.evopdf

# Class HtmlElementMapping

java.lang.Object
com.evopdf.HtmlElementMapping

public class HtmlElementMapping extends Object
Represents the mapping of a HTML element in the PDF document as collection of PDF rectangles. A HTML element can span on many pages in the generated PDF document and therefore, in general, many PDF rectangles are necessary to completely describe the mapping of a HTML element in PDF

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NameValuePairsCollection`
  `htmlElementAttributes()`
  The attributes of the HTML element
  `String`
  `htmlElementCssClassName()`
  The CSS class name of the HTML element
  `String`
  `htmlElementId()`
  The ID in HTML of the HTML element
  `String`
  `htmlElementInnerHtml()`
  The HTML code between the HTML tags of the HTML element
  `String`
  `htmlElementOuterHtml()`
  The HTML code of the HTML element
  `String`
  `htmlElementTagName()`
  The HTML tag name of the HTML element
  `String`
  `htmlElementText()`
  The text of the HTML element.
  `String`
  `mappingId()`
  The mapping ID of the element given by the data-mapping-id HTML attribute
  `PdfRectangle[]`
  `pdfRectangles()`
  The rectangles occupied by the HTML element in the generated PDF document.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### htmlElementId

    public String htmlElementId()
    The ID in HTML of the HTML element
    Returns:
      the ID in HTML of the HTML element

  - ### mappingId

    public String mappingId()
    The mapping ID of the element given by the data-mapping-id HTML attribute
    Returns:
      the mapping ID of the element given by the data-mapping-id HTML attribute

  - ### pdfRectangles

    public PdfRectangle[] pdfRectangles()
    The rectangles occupied by the HTML element in the generated PDF document. A HTML element can span on many pages in the generated PDF document and therefore, in general, many PDF rectangles are necessary to completely describe the mapping of a HTML element in PDF
    Returns:
      the rectangles occupied by the HTML element in the generated PDF document

  - ### htmlElementText

    public String htmlElementText()
    The text of the HTML element. If the element does not have an associated text, this property returns null
    Returns:
      the text of the HTML element

  - ### htmlElementOuterHtml

    public String htmlElementOuterHtml()
    The HTML code of the HTML element
    Returns:
      the HTML code of the HTML element

  - ### htmlElementInnerHtml

    public String htmlElementInnerHtml()
    The HTML code between the HTML tags of the HTML element
    Returns:
      the HTML code between the HTML tags of the HTML element

  - ### htmlElementTagName

    public String htmlElementTagName()
    The HTML tag name of the HTML element
    Returns:
      the HTML tag name of the HTML element

  - ### htmlElementCssClassName

    public String htmlElementCssClassName()
    The CSS class name of the HTML element
    Returns:
      the CSS class name of the HTML element

  - ### htmlElementAttributes

    public NameValuePairsCollection htmlElementAttributes()
    The attributes of the HTML element
    Returns:
      the attributes of the HTML element